Bug 134289 - xscreensaver crashes X
xscreensaver crashes X
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Depends On:
  Show dependency treegraph
Reported: 2004-09-30 19:11 EDT by Carlos Rodrigues
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-06 18:48:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Carlos Rodrigues 2004-09-30 19:11:47 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20040914

Description of problem:
Since yesterday, whenever xscreensaver kicks in X crashes and returns
to the gdm login screen.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.wait until xscreensaver kicks in

Actual Results:  X crashes and returns to gdm at the time the
screensaver should kick in (after the fade-out).

Expected Results:  The screensaver should be seen.

Additional info:

The only things that changed on the affected machine since yesterday were:

09/29/04 22:02:57 Updated: xorg-x11-xauth 6.7.0-9.i386
09/29/04 22:02:57 Updated: xorg-x11-tools 6.7.0-9.i386
09/29/04 22:02:57 Updated: xorg-x11 6.7.0-9.i386
09/29/04 22:02:57 Updated: xorg-x11-devel 6.7.0-9.i386
09/29/04 22:02:57 Updated: xorg-x11-xfs 6.7.0-9.i386
09/29/04 22:02:57 Updated: xorg-x11-100dpi-fonts 6.7.0-9.i386
09/29/04 22:02:57 Updated: xorg-x11-libs 6.7.0-9.i386
09/29/04 22:02:57 Updated: xorg-x11-75dpi-fonts 6.7.0-9.i386
09/29/04 22:02:57 Updated: xorg-x11-base-fonts 6.7.0-9.i386
09/29/04 22:02:57 Updated: xorg-x11-xdm 6.7.0-9.i386
09/29/04 22:02:57 Updated: xorg-x11-twm 6.7.0-9.i386
09/29/04 22:02:57 Updated: xorg-x11-font-utils 6.7.0-9.i386
09/29/04 22:02:57 Updated: xorg-x11-Mesa-libGLU 6.7.0-9.i386
09/29/04 22:02:57 Updated: xorg-x11-libs-data 6.7.0-9.i386
09/30/04 02:45:57 Updated: cdda2wav 8:2.01.1-0.FC2.1.i386
09/30/04 02:45:57 Updated: cdrecord 8:2.01.1-0.FC2.1.i386
09/30/04 02:45:57 Updated: dvd+rw-tools
09/30/04 02:45:57 Updated: system-config-display 1.0.17-2.noarch
09/30/04 02:45:57 Updated: k3b 0.11.14-0.FC2.1.i386
09/30/04 02:45:57 Updated: mkisofs 8:2.01.1-0.FC2.1.i386

xorg being updated and this starting to happen just after that seems
very suspicious to me.
Comment 1 Ray Strode [halfline] 2004-10-01 11:45:22 EDT
Hi Carlos,

Do you use GL screensavers?  This sounds like an X issue, so I'm going
to reassign it.
Comment 2 Carlos Rodrigues 2004-10-01 16:27:05 EDT
I have xscreensaver in random mode, but I'm not sure that this happens
only with GL screensavers (I let the screensaver kick in 3 times and X
crashed on all 3), but when I try to run any GL app, X crashes with a
twitch, the screen turns black and sometimes I can see by numlock
flashing that I can change to a virtual console (vesafb), but most
times the machine just freezes hard.

I'm using the nvidia drivers (please don't kill me :) ) but I doubt
that they are to blame, these are the first crashes that I have seen
with X since I have this machine (2 years) and I have been using them
from the very beginning (3 months for the currently installed version).
Comment 3 Carlos Rodrigues 2004-10-01 20:21:12 EDT
Hmmm, I guess I figured out what's the problem.

I rolled back xorg to the version I had installed and... the problem
persisted. I reinstalled the nvidia drivers, the problem went away.
Well, I decided to upgrade again and see what was borking the drivers.
nvidia-installer complained that the libGL.so symlink was pointing
nowhere, and in fact, the upgrade has put it pointing to an unexisting
library (maybe the one that comes with mesa, I didn't check and I
don't have the xorg mesa package installed). By this time I was
already pointing the finger at xorg for messing with the symlinks for
no good reason.

I fixed the symlink and rebooted (just to make sure) and it didn't fix
it, but reinstalling the drivers did the job.

In the end, I don't really know who to blame. "nvidia-installer
--sanity" does not complain about anything else than the libGL symlink
(which xorg wrongly breaks) but it still requires a reinstall to work.

I will not close this bug because the symlink thing is still a bug in
the xorg package (IMHO), but the rest I guess can't be pointed at xorg
for lack of information.
Comment 4 Mike A. Harris 2005-03-06 18:48:42 EST
Thanks for the report.  For users who are experiencing problems
installing, configuring, or using the unsupported 3rd party
proprietary "nvidia" video driver, Nvidia provides indirect
customer support via an online web based support forum.  Nvidia
monitors these web forums for commonly reported problems and
passes them on to Nvidia engineers for investigation.  Once
they've isolated a particular problem, it is often fixed in
a future video driver update.

The NVNews Nvidia Linux driver forum is located at:


Once you have reported this issue in the Nvidia web forums,
others who may have experienced the particular problem may
be able to assist.  If there is a real bug occuring, Nvidia
will be able to determine this, and will likely resolve the
issue in a future driver update for the operating system
releases that they officially support.

While Red Hat does not support the proprietary nvidia driver,
users requiring technical support may also find the various
X.Org, XFree86, and Red Hat mailing lists helpful in finding

X.Org mailing lists:

XFree86 mailing lists:

Red Hat mailing lists:

Setting status to "NOTABUG" (unsupported).
Comment 5 Carlos Rodrigues 2005-03-06 21:27:18 EST
I'm aware the nvidia drivers are unsupported.

I just didn't close the bug because of the symlink issue. The xorg
packages shouldn't mess with the libGL symlink because they are not
providing libGL. Only the "mesa" packages should do that.

Note You need to log in before you can comment on or make changes to this bug.